Status: Resolved Priority: Should have
Author: Robert Lemke Category: Package
Created: 2009-07-21 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Package Manager should warn about duplicate packages
Description

Currently it is possible to use the same package key multiple times within the Packages/* directories, for example:

Packages/
   Application/
      Blog/
   Framework/
   Shared/
      Blog/

The behavior is undefined. We should throw an exception instead to warn about multiple occurrences of a package key.

Associated revisions
Revision c7b7b5db - 2009-09-23 16:50 - Karsten Dambekalns

[+FEATURE] FLOW3 (Package): Duplicate packages are now detected and an exception is thrown, resolves #3950.

Revision 4e16dce8 - 2009-09-23 17:04 - Karsten Dambekalns

[+TASK] FLOW3 (Package): Added DuplicatePackageException, relates to #3950.

History
#1 - 2009-07-21 11:36 - Bastian Waidelich

Just a note for the future:

It should be possible to have multiple versions of a package installed. Depending on the context the right package would be chosen. E.g:

Packages/
   Application/
      Blog/
   Development/
      Blog/

That way you could test new versions of packages before making them available in production context.
Though - until this is implemented, we really should forbid multiple installations.

#2 - 2009-08-17 11:32 - Robert Lemke
- Target version deleted (1.0 alpha 3)

#3 - 2009-09-23 16:37 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#4 - 2009-09-23 17:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3217.
